/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/

// MenuItem is a component that is used in menus.

import QtQuick 1.1
import com.nokia.meego 1.0
import "." 1.0
import "UIConstants.js" as UI

Item {
    id: root

    // Common API
    //property string text
    signal clicked
    //property alias pressed: mouseArea.pressed

    // platformStyle API
    property Style platformStyle: MenuItemStyle{}
    property alias style: root.platformStyle // Deprecated

    width: parent ? parent.width: 0
    height: ( root.platformStyle.height == 0 ) ?
                root.platformStyle.topMargin + menuText.paintedHeight + root.platformStyle.bottomMargin :
    root.platformStyle.topMargin + root.platformStyle.height + root.platformStyle.bottomMargin
    /*
    Rectangle {
       id: backgroundRec
       // ToDo: remove hardcoded values
       color: pressed ? "darkgray" : "transparent"
       anchors.fill : root
       opacity : 0.5
    }
*/
    BorderImage {
        id: backgroundImage
        // ToDo: remove hardcoded values
        source:  "image://theme/meegotouch-list-background-vertical-top"
        anchors.fill : root
        border { left: 22; top: 22;
            right: 22; bottom: 22 }
    }

    Rectangle{
        id: recto
        color: "transparent"
        anchors.topMargin : root.platformStyle.topMargin
        anchors.bottomMargin : root.platformStyle.bottomMargin
        anchors.leftMargin : root.platformStyle.leftMargin
        anchors.rightMargin : root.platformStyle.rightMargin

        anchors.top : root.platformStyle.centered ? undefined : root.top
        anchors.bottom : root.platformStyle.centered ? undefined : root.bottom
        anchors.left : root.left
        anchors.right : root.right
                anchors.centerIn : parent.centerIn
        //anchors.verticalCenter : root.platformStyle.centered ? parent.verticalCenter : undefined
        Image{
            id: volumeIcon
            source: "images/volume.png"
            height: 80
            width: 80
        }

        Slider {
            maximumValue: 90
            minimumValue: 0
            stepSize: 5
            value: 70
            height: 80
            width: 350
            anchors.left: volumeIcon.right
        }

    }


}
