/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/

import QtQuick 1.1
import QtMultimediaKit 1.1

Item {
    id: frqItem
    property alias sound: frequencySound.source
    width: 470   //these are the only explicit sizes set
    height: 55   //all others are relative
    property alias frequencyText: frequencyItemTtext.text
    property alias frequencyValue: frequencyItemValue.text
    property alias icon: icone.source
    property alias frequencySound: frequencySound
    property alias mouseAreaPlay: mouseAreaPlay



    Row {
        spacing: 5
        Rectangle {
            id: playIcon
            width:  55
            height: 55
            color: "transparent"
            Image {
                id: icone
                source: "images/playIcon.png"
                smooth: true
                anchors.centerIn: playIcon
            }
            Audio  {
                id: frequencySound
                volume: 0.8
            }

            MouseArea {
                id: mouseAreaPlay
                anchors.fill: playIcon

            }
        }

        Rectangle {
            width:  80
            height: 55
            color: "transparent"
            Text {
                id: frequencyItemValue
                //anchors.centerIn: parent
                text: "8 KHz"
                font.pixelSize: parent.height * 0.35
                anchors.centerIn: parent
            }
        }


        Rectangle {
            color: "transparent"
            //            gradient: Gradient {
            //                GradientStop {
            //                    position: 0.00;
            //                    color: Qt.rgba(1.000, 0.796, 0.000, 0.000)
            //                }
            //                GradientStop {
            //                    position: 0.50;
            //                    color: Qt.rgba(1.000, 0.796, 0.000, 0.200)
            //                }
            //                GradientStop {
            //                    position: 1.00;
            //                    color: Qt.rgba(1.000, 0.796, 0.000, 0.000)
            //                }
            //            }
            //anchors.left: playIcon.right;
            width:  325
            height: 55
            Text {
                id: frequencyItemTtext
                //anchors.centerIn: parent
                text: "10 KHz ->60 years and youngers"
                font.pixelSize: parent.height * 0.35
                anchors.centerIn: parent
            }
        }

    }
}
