/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/


import QtQuick 1.1
import "UIConstants.js" as UI

Style {
    id: root
    // Font
    property string fontFamily: UI.FONT_FAMILY
    property int fontPixelSize: 26 // UI.FONT_DEFAULT_SIZE
    property int fontCapitalization: Font.MixedCase
    property int fontWeight: Font.Bold
    property int height: 80

    // Text Color
    property color textColor: "black"
    property color pressedTextColor: UI.COLOR_INVERTED_FOREGROUND
    property color disabledTextColor: UI.COLOR_DISABLED_FOREGROUND
    property color checkedTextColor: UI.COLOR_INVERTED_FOREGROUND

    property real leftMargin: 24
    property real rightMargin: 24
    property real topMargin: 0
    property real bottomMargin: 0
    property bool centered: true
}
