/*** بسم الله الرحمن الرحيم و الصلاة و السلام على محمد رسول الله  ***/

import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage
    //showStatusBar: false

    MainPage {
        id: mainPage
    }
    AboutPage{
        id: aboutPage
    }

    ToolBarLayout {
        id: commonTools
        visible: true
        //color: "transparent"
        ToolIcon { iconId: "toolbar-back"; onClicked: (pageStack.currentPage == mainPage) ? Qt.quit(): pageStack.pop(); }
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status == DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
//            MenuItemVol {
//            }

            MenuItem {
                text: qsTr("Main Page"); onClicked: { pageStack.pop(mainPage) }
            }
//            MenuItem {
//                text: qsTr("Informations"); onClicked: { pageStack.push(Qt.resolvedUrl("http://store.ovi.mobi/publisher/KOONOOZ/")) }
//            }
            MenuItem {
                text: qsTr("More Applications"); onClicked: { Qt.openUrlExternally("http://store.ovi.mobi/publisher/KOONOOZ/")}
            }
            MenuItem {
                text: qsTr("About"); onClicked: { pageStack.push(Qt.resolvedUrl("AboutPage.qml")) }
            }
        }
    }
}
